=== samples/CMakeLists.txt ===
# Samples
SET(SAMPLE_DIR ${RESOURCESDIR}/Samples/)

# Bengali
ADD_SUBDIRECTORY(bn)

# Deutsch
ADD_SUBDIRECTORY(de)

# Français
ADD_SUBDIRECTORY(fr)

# Gujarati
ADD_SUBDIRECTORY(gu)

# Hebrew
ADD_SUBDIRECTORY(he)

# Hindi
ADD_SUBDIRECTORY(hi)

# Kannada
ADD_SUBDIRECTORY(kn)

# Malayalam
ADD_SUBDIRECTORY(ml)

# Marathi
ADD_SUBDIRECTORY(mr)

# Oriya
ADD_SUBDIRECTORY(or)

# Punjabi
ADD_SUBDIRECTORY(pa)

# Russian
ADD_SUBDIRECTORY(ru)

# Tamil
ADD_SUBDIRECTORY(ta)

# Telugu
ADD_SUBDIRECTORY(te)

# Udmurt
ADD_SUBDIRECTORY(udm)
