=== help/nb/CMakeLists.txt ===
SET(FM_HELP_FILES_EN
menu.xml
style.css
index.html
readme.html
)

INSTALL(FILES ${FM_HELP_FILES_EN}
	DESTINATION "${HELPDIR}nb")
