=== samples/fr/CMakeLists.txt ===
# Exemples en Français

set(SAMPLES_FR
Mamere
)

install(FILES ${SAMPLES_FR}
	DESTINATION ${SAMPLE_DIR}/fr)
