=== samples/he/CMakeLists.txt ===
# Example in Hebrew

set(SAMPLES_HE
sample
)

install(FILES ${SAMPLES_HE}
	DESTINATION ${SAMPLE_DIR}/he)
