=== samples/mr/CMakeLists.txt ===


set(SAMPLES_MR
sample
)

install(FILES ${SAMPLES_MR}
	DESTINATION ${SAMPLE_DIR}/mr)
