=== samples/ru/CMakeLists.txt ===
# Примеры на русском языке

set(SAMPLES_RU
Гоголь
)

install(FILES ${SAMPLES_RU}
	DESTINATION ${SAMPLE_DIR}/ru)
