=== samples/ta/CMakeLists.txt ===


set(SAMPLES_TA
sample
)

install(FILES ${SAMPLES_TA}
	DESTINATION ${SAMPLE_DIR}/ta)
