=== debian/changelog ===
fontmatrix (0.9.99-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Team upload.
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake.
    (Closes: #951739)

  [ Gürkan Myczko ]
  * Thanks Helmut Grohne for the patch.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 07 Apr 2020 12:32:21 +0200

fontmatrix (0.9.99-1) unstable; urgency=medium

  * Add debian/missing-sources. (Closes: #744698)
  * Fix version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 12:09:08 +0100

fontmatrix (0.6.1+git20190730-3) unstable; urgency=medium

  * Also install help files, update manual page. (Closes: #602823)
  * Fix Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 05 Feb 2020 08:17:30 +0100

fontmatrix (0.6.1+git20190730-2) unstable; urgency=medium

  * Add Vcs fields.
  * Bump standards version to 4.5.0.
  * d/README.source. (Closes: #787350)
  * d/control: drop Oleksandr Moskalenko. (Closes: #820140)
  * Upstream fixed FTBFS. (Closes: #607148)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 04 Feb 2020 13:14:47 +0100

fontmatrix (0.6.1+git20190730-1) unstable; urgency=medium

  * New upstream version, reintroduce package.
  * Bump standards version to 4.4.1.
  * Bump debhelper version to 11.
  * debian/control:
    - update my name.
    - update Homepage field.
  * debian/patches: dropped.
  * debian/menu: dropped.
  * debian/copyright: rewritten.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Jan 2020 14:31:22 +0100
