=== debian/control ===
Source: fontmatrix
Section: graphics
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libfreetype6-dev, qtbase5-dev, cmake, libfontconfig1-dev, libicu-dev, libpuzzle-dev, libqt5webkit5-dev, libqt5svg5-dev, libqt5webkit5-dev, qtdeclarative5-dev, qttools5-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/fonts-team/fontmatrix.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fontmatrix
Homepage: https://github.com/fcoiffie/fontmatrix

Package: fontmatrix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Description: featureful personal font manager
 This is a manager built with the kind of features and abilities
 graphic designers, layout professionals along with others have felt
 necessary, but modernized with some new touches.
 .
 Fontmatrix has a concept of 'tagging'. This makes it really nice to group
 fonts and even sub-group them logically for use in a book for instance.
 It also has extensive gui support for showing all glyphs in a font,
 previews of sample text, variable sizing and also tells what kinds of
 advanced Open Type features are inside each font. These features have
 never been seen outside of a font editor. And not least, it creates a
 nice PDF catalogue of user's fonts for printing or reference. In short,
 fontmatrix is a font manager for professionals, but is nice and user
 friendly.
