=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
package=fontmatrix
CMAKE=/usr/bin/cmake
DEBIAN_DIR = $(shell pwd)/debian
BUILD_DIR = $(shell pwd)/debian/build
INSTALL_DIR = $(shell pwd)/debian/fontmatrix

ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux)
OPT_FLAG = -O0
else
OPT_FLAG = -O2
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPT_FLAG = -O0
endif

OPT_FLAG += -g -Wall

configure: configure-stamp
configure-stamp:
	dh_testdir
	mkdir -p $(BUILD_DIR)
	dh_auto_configure --builddirectory=$(BUILD_DIR) -- \
		-DCMAKE_SKIP_RPATH:BOOL=1 \
		-DRPATH_STYLE:STRING=none \
		-DCMAKE_C_FLAGS:STRING='$(OPT_FLAG)'
#for the future   -DWANT_PODOFO:bool=1
	touch configure-stamp
#            -DCMAKE_BUILD_TYPE=Debug

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	cd $(BUILD_DIR) && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf $(BUILD_DIR) $(INSTALL_DIR)
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	dh_install *.desktop usr/share/applications/
	dh_install fontmatrix.png usr/share/pixmaps/
	# Add here commands to install the package into debian/fontmatrix.
#	cp bin/fontmatrix DESTDIR=$(CURDIR)/debian/fontmatrix/usr/bin/

# Build architecture-dependent files here.
#build %:
#	dh $@
#	dh_installman -pfontmatrix fontmatrix.1

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installdirs
	dh_install
	dh_installexamples
	dh_installmenu
	dh_installman -pfontmatrix fontmatrix.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


upstream:
	find . -name ".svn*" -exec rm -rf {} \;

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
