## fontmatrix 0.9.100%2Bds

=== samples/or/CMakeLists.txt ===


set(SAMPLES_OR
sample
)

install(FILES ${SAMPLES_OR}
	DESTINATION ${SAMPLE_DIR}/or)
