=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: fontmatrix
 Section: graphics
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libfreetype6-dev, qtbase5-dev, cmake, libfontconfig1-dev, libicu-dev, libpuzzle-dev, libqt5webkit5-dev, libqt5svg5-dev, libqt5webkit5-dev, qtdeclarative5-dev, qttools5-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), libfreetype6-dev, qtbase5-dev, cmake, libfontconfig1-dev, libicu-dev, libpuzzle-dev, libqt5svg5-dev, libqt5webkit5-dev, qtdeclarative5-dev, qttools5-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmatrix.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmatrix
 Homepage: https://github.com/fcoiffie/fontmatrix
