## fontmatrix 0.9.100+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "9")
-SET (VERSION_PATCH "99")
+SET (VERSION_PATCH "100")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 ADD_DEFINITIONS(-DFONTMATRIX_VERSION_MAJOR=${VERSION_MAJOR} -DFONTMATRIX_VERSION_MINOR=${VERSION_MINOR} -DFONTMATRIX_VERSION_PATCH=${VERSION_PATCH})
 MESSAGE(STATUS "Building Fontmatrix ${VERSION}")
