=== dodict/CMakeLists.txt ===
PROJECT(dodict) # ugly name
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)

SET (QT_MIN_VERSION "4.4.0")
FIND_PACKAGE(Qt4 REQUIRED)
SET (QT_MT_REQUIRED TRUE)
# SET (QT_USE_QTXML TRUE )
# SET (QT_USE_QTSVG TRUE )
# SET (QT_USE_QTSQL TRUE )
# SET (QT_USE_QTNETWORK TRUE )
# SET (QT_USE_QTWEBKIT TRUE )
# SET (QT_USE_QTOPENGL TRUE )
INCLUDE( ${QT_USE_FILE} )

include_directories(
${CMAKE_CURRENT_SOURCE_DIR}
${CMAKE_CURRENT_BINARY_DIR}
${QT_INCLUDE_DIR}
${QT_QT_INCLUDE_DIR}
)

SET(dodict_SOURCES
dodict.cpp
)

ADD_EXECUTABLE(dodict ${dodict_SOURCES})
target_link_libraries(dodict ${QT_LIBRARIES})
