=== help/CMakeLists.txt ===
## Help ##

# Now it’s just a matter of maintaining a list of all
# needed files, when releasing - pm

SET(FM_HELP_DIR ${CMAKE_SOURCE_DIR}/help/)

ADD_SUBDIRECTORY(${FM_HELP_DIR}en)
