=== samples/de/CMakeLists.txt ===
# Beispiel im Deutsch

set(SAMPLES_DE
sample
)

install(FILES ${SAMPLES_DE}
	DESTINATION ${SAMPLE_DIR}/de)
