=== samples/gu/CMakeLists.txt ===


set(SAMPLES_GU
sample
)

install(FILES ${SAMPLES_GU}
	DESTINATION ${SAMPLE_DIR}/gu)
