=== samples/hi/CMakeLists.txt ===


set(SAMPLES_HI
sample
)

install(FILES ${SAMPLES_HI}
	DESTINATION ${SAMPLE_DIR}/hi)
