=== samples/kn/CMakeLists.txt ===


set(SAMPLES_KN
sample
)

install(FILES ${SAMPLES_KN}
	DESTINATION ${SAMPLE_DIR}/kn)
