=== samples/ml/CMakeLists.txt ===


set(SAMPLES_ML
sample
)

install(FILES ${SAMPLES_ML}
	DESTINATION ${SAMPLE_DIR}/ml)
