=== samples/te/CMakeLists.txt ===


set(SAMPLES_TE
sample
)

install(FILES ${SAMPLES_TE}
	DESTINATION ${SAMPLE_DIR}/te)
