=== debian/changelog ===
fontmatrix (0.9.100+ds-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Feb 2023 18:37:41 -0800

fontmatrix (0.9.100+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #579314)
  * d/upstream/metadata: added.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
  * source/lintian-overrides: fix typo.
  * d/changelog: drop trailing whitespace.
  * d/rules: drop trailing whitespace.
  * Bump standards version to 4.5.1.
  * d/watch: updated.
  * d/control:
    - added Rules-Requires-Root.
    - drop duplicate Build-Depends libqt5webkit5-dev.
  * Bump debhelper version to 13, drop d/compat.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 07 Sep 2021 12:27:57 +0200
