=== debian/control ===
--- 
+++ 
@@ -1,10 +1,20 @@
 Source: fontmatrix
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 13), libfreetype6-dev, qtbase5-dev, cmake, libfontconfig1-dev, libicu-dev, libpuzzle-dev, libqt5svg5-dev, libqt5webkit5-dev, qtdeclarative5-dev, qttools5-dev
+Build-Depends: cmake,
+               debhelper-compat (= 12),
+               libfontconfig1-dev,
+               libfreetype6-dev,
+               libicu-dev,
+               libpuzzle-dev,
+               libqt5svg5-dev,
+               libqt5webkit5-dev,
+               qtbase5-dev,
+               qtdeclarative5-dev,
+               qttools5-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmatrix.git
@@ -13,7 +23,7 @@
 
 Package: fontmatrix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
+Depends: libjs-jquery, ${misc:Depends}, ${shlibs:Depends}
 Description: featureful personal font manager
  This is a manager built with the kind of features and abilities
  graphic designers, layout professionals along with others have felt
