=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export QT_SELECT = 5
+
 package=fontmatrix
 CMAKE=/usr/bin/cmake
 DEBIAN_DIR = $(shell pwd)/debian
@@ -34,7 +36,7 @@
 
 build: build-stamp
 
-build-stamp: configure-stamp 
+build-stamp: configure-stamp
 	dh_testdir
 	cd $(BUILD_DIR) && $(MAKE)
 	touch $@
